<?php
/**
 * 商品分类管理
 * $Id: product_category_edit_result.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN,MANAGER,STAFF")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestNumber("id", 0);
$title = ParamUtil::getRequestString("title");
$type = ParamUtil::getRequestString("type");
$max_time = ParamUtil::getRequestNumber("max_time");
$level = ParamUtil::getRequestString("level");
$category_id = ParamUtil::getRequestString("category_id");

$examination_mst = ExaminationMst::getById($id);
if (empty($examination_mst)) {
	$examination_mst = new ExaminationMst();
}


// 更新数据库
$examination_mst->title = $title;
$examination_mst->type = $type;
$examination_mst->max_time = $max_time;
$examination_mst->level = $level;
$examination_mst->category_id = $category_id;
$examination_mst->save();

// 跳到一览页
header("Location:examination_mst_list.php");
exit;